<?php
/**
 * Custom Fields
 *
 * @package UnPress
 * @since 	UnPress 1.0
**/

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
function unpress_get_slider() {
	global $wpdb;

	$catList = '';
	//Revolution Slider
	if (is_plugin_active('revslider/revslider.php')) {
		$sliders = $wpdb->get_results($q = "
			SELECT
				*
			FROM
				" . $wpdb->prefix . "revslider_sliders
			ORDER BY
				id
			LIMIT
				100");

		// Iterate over the sliders
		$catList = array();
		foreach ($sliders as $key => $item) {
			$catList['revslider-' . $item->alias] = 'Revolution Slider - ' . stripslashes($item->title);
		}
	}

	return $catList;
}

//unpress_get_sidebars(); die;
if(function_exists("register_field_group"))
{

	register_field_group(array (
		'id' => 'acf_category-options',
		'title' => 'Category Options',
		'fields' => array (
			array (
				'key' => 'field_532b33c5ba4d0',
				'label' => 'Latest Posts in drop down menu',
				'name' => 'latest_posts_menu',
				'type' => 'radio',
				'instructions' => 'Enable or Disable latest posts in the drop down menu of this category',
				'choices' => array (
					'latest_posts_on' => 'Enable',
					'latest_posts_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'latest_posts_on',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_532b37978aa98',
				'label' => 'Category Slider',
				'name' => 'category_slider',
				'type' => 'radio',
				'instructions' => 'Enable or Disable this category slider',
				'choices' => array (
					'cat_slider_on' => 'Enable',
					'cat_slider_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'cat_slider_off',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_532b385ab5182',
				'label' => 'Slider Type',
				'name' => 'cat_slider_type',
				'type' => 'radio',
				'instructions' => 'Select category slider type',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_532b37978aa98',
							'operator' => '==',
							'value' => 'cat_slider_on',
						),
					),
					'allorany' => 'all',
				),
				'choices' => array (
					'iosslider' => 'IOS Slider',
					'flexslider' => 'Flex Slider',
					'elasticslider' => 'Elastic Slider',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'iosslider',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_532b38ef8e730',
				'label' => 'Category Sidebar',
				'name' => 'category_sidebar',
				'type' => 'radio',
				'instructions' => 'Enable or Disable the sidebar for this category',
				'choices' => array (
					'cat_sidebar_on' => 'Enable',
					'cat_sidebar_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'cat_sidebar_on',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_532b393797e69',
				'label' => 'Category Posts layout',
				'name' => 'category_posts_layout',
				'type' => 'radio',
				'instructions' => 'Select posts layout for this category',
				'choices' => array (
					'cat_layout_masonry' => 'Masonry',
					'cat_layout_blocks' => 'Blocks',
					'cat_layout_mosaic' => 'Mosaic',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'cat_layout_masonry',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_532b3d01e9ce4',
				'label' => 'Blocks Layout',
				'name' => 'blocks_layout',
				'type' => 'radio',
				'instructions' => 'Select blocks layout option',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_532b393797e69',
							'operator' => '==',
							'value' => 'cat_layout_blocks',
						),
					),
					'allorany' => 'all',
				),
				'choices' => array (
					'excerpt_on_hover' => 'Excerpt on hover',
					'excerpt_under_image' => 'Excerpt under image',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'excerpt_on_hover',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_533405740e14d',
				'label' => 'Category Posts Excerpt',
				'name' => 'cat_posts_excerpt',
				'type' => 'radio',
				'instructions' => 'Enable, disable category posts excerpt',
				'choices' => array (
					'enable' => 'Enable',
					'disable' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'enable',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_538f7cb03f40a',
				'label' => 'Category Ad',
				'name' => 'category_ad',
				'type' => 'wysiwyg',
				'instructions' => 'Add ad code for this category',
				'default_value' => '',
				'toolbar' => 'basic',
				'media_upload' => 'yes',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'ef_taxonomy',
					'operator' => '==',
					'value' => 'category',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_custom-post-interview',
		'title' => 'Custom Post Interview',
		'fields' => array (
			array (
				'key' => 'field_5342f94bacd2d',
				'label' => 'Interview With',
				'name' => 'custom_interview_with',
				'type' => 'text',
				'default_value' => '',
				'placeholder' => 'Interview With',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'interview',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'acf_after_title',
			'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_interview-post-sidebar',
		'title' => 'Interview Post Sidebar',
		'fields' => array (
			array (
				'key' => 'field_536e4f629b51e',
				'label' => 'Post Sidebar',
				'name' => 'interview_posts_sidebar',
				'type' => 'radio',
				'instructions' => 'Enable/Disable, Interview post sidebar. After enable please choose sidebar below',
				'choices' => array (
					'interview_post_sidebar_on' => 'Enable',
					'interview_post_sidebar_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'interview_post_sidebar_off',
				'layout' => 'horizontal',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'interview',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_custom-post-video',
		'title' => 'Video Options',
		'fields' => array (
			array (
				'key' => 'field_532c974d96699',
				'label' => 'Add Video',
				'name' => 'add_video_url',
				'type' => 'text',
				'instructions' => 'Paste video page URL',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_536e5417cb4ba',
				'label' => 'Post Sidebar',
				'name' => 'video_post_sidebar',
				'type' => 'radio',
				'instructions' => 'Enable/Disable, Video post sidebar. After enable please choose sidebar below',
				'choices' => array (
					'video_post_sidebar_on' => 'Enable',
					'video_post_sidebar_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'video_post_sidebar_off',
				'layout' => 'horizontal',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'video',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_format-audio',
		'title' => 'Format Audio',
		'fields' => array (
			array (
				'key' => 'field_532b4f2a46f79',
				'label' => 'Add SoundCloud Audio',
				'name' => 'add_audio_url',
				'type' => 'text',
				'instructions' => 'Paste page URL from SoundCloud',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'audio',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_format-gallery',
		'title' => 'Format Gallery',
		'fields' => array (
			array (
				'key' => 'field_532b42dcbe55a',
				'label' => 'Upload gallery image',
				'name' => 'post_upload_gallery',
				'type' => 'gallery',
				'preview_size' => 'thumbnail',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'gallery',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_format-video',
		'title' => 'Format Video',
		'fields' => array (
			array (
				'key' => 'field_532b4fd220b4c',
				'label' => 'Add Video',
				'name' => 'add_video_url',
				'type' => 'text',
				'instructions' => 'Paste video page URL',
				'default_value' => '',
				'placeholder' => 'http://vimeo.com/24637555',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'video',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_gallery-images',
		'title' => 'Gallery Options',
		'fields' => array (
			array (
				'key' => 'field_532c8cebe27ce',
				'label' => 'Add Gallery Images',
				'name' => 'custom_gallery_images',
				'type' => 'gallery',
				'preview_size' => 'thumbnail',
			),
			array (
				'key' => 'field_536e510a2d9c2',
				'label' => 'Post Sidebar',
				'name' => 'gallery_post_sidebar',
				'type' => 'radio',
				'instructions' => 'Enable/Disable, Gallery post sidebar. After enable please choose sidebar below',
				'choices' => array (
					'gallery_post_sidebar_on' => 'Enable',
					'gallery_post_sidebar_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'gallery_post_sidebar_off',
				'layout' => 'horizontal',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'gallery',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'comments',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_gallery-template',
		'title' => 'Gallery Template',
		'fields' => array (
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-gallery.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
				0 => 'featured_image',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_interview-template',
		'title' => 'interview template',
		'fields' => array (
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-interview.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
				0 => 'featured_image',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_my-vdo-template',
		'title' => 'My Vdo Template',
		'fields' => array (
			array (
				'key' => 'field_533eade6239f1',
				'label' => 'Video Composer',
				'name' => 'video_composer',
				'type' => 'flexible_content',
				'layouts' => array (
					array (
						'label' => 'Featured Video',
						'name' => 'custom_post_featured_video',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_533eae1f239f2',
								'label' => 'Featured Video',
								'name' => 'custom_featured_video',
								'type' => 'post_object',
								'instructions' => 'Select featured video',
								'column_width' => '',
								'post_type' => array (
									0 => 'video',
								),
								'taxonomy' => array (
									0 => 'all',
								),
								'allow_null' => 0,
								'multiple' => 0,
							),
						),
					),
					array (
						'label' => 'Videos',
						'name' => 'custom_post_videos',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_533eaec1239f4',
								'label' => 'Main Title',
								'name' => 'videos_main_title',
								'type' => 'text',
								'instructions' => 'Enter main title',
								'column_width' => '',
								'default_value' => 'Browse Videos',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_533eaef1239f5',
								'label' => 'All Video Title',
								'name' => 'all_video_title',
								'type' => 'text',
								'instructions' => 'Enter the title for all videos',
								'column_width' => '',
								'default_value' => 'All',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_533eaf1b239f6',
								'label' => 'Number of Posts',
								'name' => 'custom_video_number_of_posts',
								'type' => 'text',
								'instructions' => 'Number of posts to show',
								'column_width' => '',

								'default_value' => 12,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
				),
				'button_label' => 'Add Section',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-video.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'featured_image',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_page-composer',
		'title' => 'Page Composer',
		'fields' => array (
			array (
				'key' => 'field_532b52309de71',
				'label' => 'Page Composer',
				'name' => 'page_composer',
				'type' => 'flexible_content',
				'layouts' => array (
					array (
						'label' => 'Revolution Slider',
						'name' => 'unpress_revolution_slider',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_revsliderde73',
								'label' => 'Select Revolution Slider',
								'name' => 'select_rev_slider',
								'type' => 'select',
								'instructions' => 'Note: Install revolution slider plugin, Create slider then created sliders will display in dropdown',
								'column_width' => '',
								'choices' => unpress_get_slider(),
								'default_value' => '',
								'layout' => 'horizontal',
							),
						),
					),
					array (
						'label' => 'Posts Slider',
						'name' => 'posts_slider',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_532b530a9de73',
								'label' => 'Posts to show',
								'name' => 'slides_to_show',
								'type' => 'select',
								'instructions' => 'Select the maximum number of posts you want to show in the slider',
								'column_width' => '',
								'choices' => array (
									1 => 1,
									2 => 2,
									3 => 3,
									4 => 4,
									5 => 5,
									6 => 6,
									7 => 7,
									8 => 8,
									9 => 9,
									10 => 10,
									11 => 11,
									12 => 12,
									13 => 13,
									14 => 14,
									15 => 15,
									16 => 16,
									17 => 17,
									18 => 18,
									19 => 19,
									20 => 20,
								),
								'default_value' => 3,
								'allow_null' => 0,
								'multiple' => 0,
							),
							array (
								'key' => 'field_532b5593f1edd',
								'label' => 'Slider Type',
								'name' => 'post_slider_type',
								'type' => 'radio',
								'instructions' => 'Choose slider type',
								'column_width' => '',
								'choices' => array (
									'iosslider' => 'IOS Slider',
									'flexslider' => 'Flex Slider',
									'elasticslider' => 'Elastic Slider',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'iosslider',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_5443e8723c9f7',
								'label' => 'Post Slider Width',
								'name' => 'post_slider_width',
								'type' => 'radio',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_532b5593f1edd',
											'operator' => '==',
											'value' => 'flexslider',
										),
										array (
											'field' => 'field_532b5593f1edd',
											'operator' => '==',
											'value' => 'elasticslider',
										),
									),
									'allorany' => 'any',
								),
								'column_width' => '',
								'choices' => array (
									'full-width' => 'Full Width',
									'boxed' => 'Boxed',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'boxed',
								'layout' => 'horizontal',
							),
						),
					),
					array (
						'label' => 'Parallax Banner',
						'name' => 'parallax_banner',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_5443b25d5eb09',
								'label' => 'Background Image',
								'name' => 'background_image',
								'type' => 'image',
								'instructions' => 'Upload background image',
								'column_width' => '',
								'save_format' => 'url',
								'preview_size' => 'full',
								'library' => 'all',
							),
							array (
								'key' => 'field_5443ae454d7d8',
								'label' => 'Editor',
								'name' => 'parallax_editor',
								'type' => 'wysiwyg',
								'instructions' => 'Enter Text that will appear above banner',
								'column_width' => '',
								'default_value' => '<p>It\'s finally started...</p>
	<h2>THE SUMMER SALE</h2>
	<h3>UP TO 70% OFF</h3>',
								'toolbar' => 'full',
								'media_upload' => 'yes',
							),
							array (
								'key' => 'field_5443ae9a4d7d9',
								'label' => 'Banner Buttons',
								'name' => 'parallax_banner_buttons',
								'type' => 'repeater',
								'column_width' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_5443aecf4d7da',
										'label' => 'Button Text',
										'name' => 'button_text',
										'type' => 'text',
										'column_width' => '',
										'default_value' => '',
										'placeholder' => '',
										'prepend' => '',
										'append' => '',
										'formatting' => 'html',
										'maxlength' => '',
									),
									array (
										'key' => 'field_5443aef14d7db',
										'label' => 'Button Link',
										'name' => 'button_link',
										'type' => 'text',
										'column_width' => '',
										'default_value' => '',
										'placeholder' => '',
										'prepend' => '',
										'append' => '',
										'formatting' => 'html',
										'maxlength' => '',
									),
								),
								'row_min' => 1,
								'row_limit' => 5,
								'layout' => 'table',
								'button_label' => 'Add More',
							),
						),
					),
					
					array (
						'label' => 'Custom Slider',
						'name' => 'custom_slider',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_532b566e96324',
								'label' => 'Slides',
								'name' => 'custom_add_new_slide',
								'type' => 'repeater',
								'column_width' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_532b56c196325',
										'label' => 'Slide Image',
										'name' => 'slide_image',
										'type' => 'image',
										'column_width' => '',
										'save_format' => 'id',
										'preview_size' => 'thumbnail',
										'library' => 'all',
									),
									array (
										'key' => 'field_532b56e696326',
										'label' => 'Slide Title',
										'name' => 'slide_title',
										'type' => 'text',
										'column_width' => '',
										'default_value' => '',
										'placeholder' => '',
										'prepend' => '',
										'append' => '',
										'formatting' => 'html',
										'maxlength' => '',
									),
									array (
										'key' => 'field_532b56f696327',
										'label' => 'Url',
										'name' => 'url',
										'type' => 'text',
										'column_width' => '',
										'default_value' => '',
										'placeholder' => '',
										'prepend' => '',
										'append' => '',
										'formatting' => 'html',
										'maxlength' => '',
									),
								),
								'row_min' => 1,
								'row_limit' => 20,
								'layout' => 'table',
								'button_label' => 'Add Image',
							),
							array (
								'key' => 'field_5343f2e2235d1',
								'label' => 'Slider Type',
								'name' => 'custom_slider_type',
								'type' => 'radio',
								'instructions' => 'Choose slider type',
								'column_width' => '',
								'choices' => array (
									'iosslider' => 'IOS Slider',
									'flexslider' => 'Flex Slider',
									'elasticslider' => 'Elastic Slider',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'iosslider',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_5443de6e70a5e',
								'label' => 'Custom Slider Width',
								'name' => 'custom_slider_width',
								'type' => 'radio',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_5343f2e2235d1',
											'operator' => '==',
											'value' => 'flexslider',
										),
										array (
											'field' => 'field_5343f2e2235d1',
											'operator' => '==',
											'value' => 'elasticslider',
										),
									),
									'allorany' => 'any',
								),
								'column_width' => '',
								'choices' => array (
									'full-width' => 'Full Width',
									'boxed' => 'Boxed',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'boxed',
								'layout' => 'vertical',
							),
						),
					),
					array (
						'label' => 'Featured Posts',
						'name' => 'featured_posts',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_532b590b003c9',
								'label' => 'Main Title',
								'name' => 'featured_main_title',
								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532b5994003ca',
								'label' => 'Sub Title',
								'name' => 'featured_sub_title',
								'type' => 'text',
								'instructions' => 'Enter the sub title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_53904970d1fe5',
								'label' => 'Featured Post From',
								'name' => 'featured_post_from',
								'type' => 'radio',
								'column_width' => '',
								'choices' => array (
									'all_categories' => 'All Categories',
									'select_specific_categories' => 'Select Specific Categories',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'all_categories',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_53904897365dc',
								'label' => 'Category',
								'name' => 'featured_category',
								'type' => 'taxonomy',
								'instructions' => 'Select Category for Featured posts',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_53904970d1fe5',
											'operator' => '==',
											'value' => 'select_specific_categories',
										),
									),
									'allorany' => 'all',
								),
								'column_width' => '',
								'taxonomy' => 'category',
								'field_type' => 'checkbox',
								'allow_null' => 0,
								'load_save_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_532b59cb003cb',
								'label' => 'Posts Excerpt',
								'name' => 'featured_posts_excerpt',
								'type' => 'radio',
								'instructions' => 'Choose to enable or disable the excerpt',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'enable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532b5a05003cc',
								'label' => 'Posts Layout',
								'name' => 'featured_posts_layout',
								'type' => 'radio',
								'instructions' => 'Select this section posts layout',
								'column_width' => '',
								'choices' => array (
									'featured_masonry' => 'Masonry',
									'featured_mosaic' => 'Mosaic',
									'featured_blocks_hover' => 'Blocks excerpt on mouse hover',
									'featured_blocks_under_image' => 'Blocks excerpt under image',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'featured_masonry',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532b5b7cd969e',
								'label' => 'Number of Posts',
								'name' => 'featured_number_of_posts',
								'type' => 'text',
								'instructions' => 'How many posts you want to show',
								'column_width' => '',
								'default_value' => 3,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_53397b5426f8b',
								'label' => 'Section Title Position',
								'name' => 'featured_section_title_position',
								'type' => 'radio',
								'instructions' => 'Choose this section title position, Default will be on Left',
								'column_width' => '',
								'choices' => array (
									'left_side' => 'Left Side',
									'right_side' => 'Right Side',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'left_side',
								'layout' => 'horizontal',
							),
						),
					),

					array (
						'label' => 'Full Width Section',
						'name' => 'full_width_section',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							
							array (
								'key' => 'field_fullwidth1fe5',
								'label' => 'Post From',
								'name' => 'fullwidth_post_from',
								'type' => 'radio',
								'column_width' => '',
								'choices' => array (
									'all_categories' => 'All Categories',
									'select_specific_categories' => 'Select Specific Categories',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'all_categories',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_fullwidth65dc',
								'label' => 'Category',
								'name' => 'fullwidth_category',
								'type' => 'taxonomy',
								'instructions' => 'Select Category for Featured posts',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_fullwidth1fe5',
											'operator' => '==',
											'value' => 'select_specific_categories',
										),
									),
									'allorany' => 'all',
								),
								'column_width' => '',
								'taxonomy' => 'category',
								'field_type' => 'checkbox',
								'allow_null' => 0,
								'load_save_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_fullwidth03cb',
								'label' => 'Posts Excerpt',
								'name' => 'fullwidth_posts_excerpt',
								'type' => 'radio',
								'instructions' => 'Choose to enable or disable the excerpt',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'enable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_fullwidth03cc',
								'label' => 'Posts Layout',
								'name' => 'fullwidth_posts_layout',
								'type' => 'radio',
								'instructions' => 'Select this section posts layout',
								'column_width' => '',
								'choices' => array (
									'fullwidth_masonry' => 'Masonry',
									'fullwidth_blocks_hover' => 'Blocks excerpt on mouse hover',
									'fullwidth_blocks_under_image' => 'Blocks excerpt under image',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'fullwidth_masonry',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_fullwidth969e',
								'label' => 'Number of Posts',
								'name' => 'fullwidth_number_of_posts',
								'type' => 'text',
								'instructions' => 'How many posts you want to show',
								'column_width' => '',
								'default_value' => 8,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_fullwidth6f8b',
								'label' => 'Number of Columns',
								'name' => 'fullwidth_columns',
								'type' => 'radio',
								'instructions' => 'Choose the number of posts you want to show in one row.',
								'column_width' => '',
								'choices' => array (
									'two_columns' => 'Two Columns',
									'three_columns' => 'Three Columns',
									'four_columns' => 'Four Columns',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'four_columns',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_fullwidth1291',
								'label' => 'Sidebar',
								'name' => 'fullwidth_sidebar',
								'type' => 'radio',
								'instructions' => 'Enable/Disable sidebar for this section',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'disable',
								'layout' => 'horizontal',
							),
							array (
							    'key' => 'field_fullwidthw079',
							    'label' => 'Select Sidebar',
							    'name' => 'page_sidebar_source',
							    'type' => 'sidebar_selector',
							    'conditional_logic' => array (
							     'status' => 1,
							     'rules' => array (
							      array (
							       'field' => 'field_fullwidth1291',
							       'operator' => '==',
							       'value' => 'enable',
							      ),
							     ),
							     'allorany' => 'all',
							    ),
							    'allow_null' => 1,
							    'default_value' => 'magazine-sidebar',
							   ),
						),
					),

					array (
						'label' => 'Latest Posts',
						'name' => 'latest_posts',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532caf191128b',
								'label' => 'Main Title',
								'name' => 'latest_posts_main_title',
								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532caf191128e',
								'label' => 'Posts Excerpt',
								'name' => 'latest_posts_excerpt',
								'type' => 'radio',
								'instructions' => 'Choose to enable or disable the excerpt',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'enable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532caf191128f',
								'label' => 'Posts Layout',
								'name' => 'latest_posts_layout',
								'type' => 'radio',
								'instructions' => 'Select this section posts layout',
								'column_width' => '',
								'choices' => array (
									'latest_masonry' => 'Masonry',
									'latest_mosaic' => 'Mosaic',
									'latest_blocks_hover' => 'Blocks excerpt on mouse hover',
									'latest_blocks_under_image' => 'Blocks excerpt under image',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'latest_masonry',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532caf1911290',
								'label' => 'Number of Posts',
								'name' => 'latest_number_of_posts',
								'type' => 'text',
								'instructions' => 'How many posts you want to show',
								'column_width' => '',
								'default_value' => 3,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532cb07e11292',
								'label' => 'Pagination',
								'name' => 'latest_posts_pagination',
								'type' => 'radio',
								'instructions' => 'Enable or Disable the pagination',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'disable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532cb00a11291',
								'label' => 'Sidebar',
								'name' => 'latest_posts_sidebar',
								'type' => 'radio',
								'instructions' => 'Magazine Sidebar will use for this section',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'disable',
								'layout' => 'horizontal',
							),
							array (
							    'key' => 'field_latestsaira79',
							    'label' => 'Select Sidebar',
							    'name' => 'section_sidebar_source',
							    'type' => 'sidebar_selector',
							    'conditional_logic' => array (
							     'status' => 1,
							     'rules' => array (
							      array (
							       'field' => 'field_532cb00a11291',
							       'operator' => '==',
							       'value' => 'enable',
							      ),
							     ),
							     'allorany' => 'all',
							    ),
							    'allow_null' => 1,
							    'default_value' => 'magazine-sidebar',
							),
							array (
								'key' => 'field_53397ba526f8c',
								'label' => 'Section Title Position',
								'name' => 'latest_section_title_position',
								'type' => 'radio',
								'instructions' => 'Choose this section title position, Default will be on Left',
								'column_width' => '',
								'choices' => array (
									'left_side' => 'Left side',
									'right_side' => 'Right side',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'left_side',
								'layout' => 'horizontal',
							),
						),
					),
					array (
						'label' => 'Latest By Category',
						'name' => 'latest_by_category',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532b5cf3d5fe8',
								'label' => 'Main Title',
								'name' => 'category_main_title',
								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532b5e3dd5fed',
								'label' => 'Category',
								'name' => 'category_section_name',
								'type' => 'taxonomy',
								'instructions' => 'Select the category for this section',
								'column_width' => '',
								'taxonomy' => 'category',
								'field_type' => 'select',
								'allow_null' => 0,
								'load_save_terms' => 0,
								'return_format' => 'id',
								'multiple' => 0,
							),
							array (
								'key' => 'field_532b5cf3d5fe9',
								'label' => 'Show All Posts',
								'name' => 'category_all_post',
								'type' => 'text',
								'instructions' => 'Enable all post link under main title',
								'column_width' => '',
								'default_value' => 'More From',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532b5cf3d5fea',
								'label' => 'Posts Excerpt',
								'name' => 'category_posts_excerpt',
								'type' => 'radio',
								'instructions' => 'Choose to enable or disable the excerpt',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'enable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532b5cf3d5feb',
								'label' => 'Posts Layout',
								'name' => 'category_posts_layout',
								'type' => 'radio',
								'instructions' => 'Select this section posts layout',
								'column_width' => '',
								'choices' => array (
									'category_masonry' => 'Masonry',
									'category_mosaic' => 'Mosaic',
									'category_blocks_hover' => 'Blocks excerpt on mouse hover',
									'category_blocks_under_image' => 'Blocks excerpt under image',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'category_masonry',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532b5cf3d5fec',
								'label' => 'Number of Posts',
								'name' => 'category_number_of_posts',
								'type' => 'text',
								'instructions' => 'How many posts you want to show',
								'column_width' => '',
								'default_value' => 3,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_5345d68772c0a',
								'label' => 'Pagination',
								'name' => 'category_pagination',
								'type' => 'radio',
								'instructions' => 'Enable or Disable the pagination',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'disable',
								'layout' => 'horizontal',
							),

							array (
								'key' => 'field_53cat10a11291',
								'label' => 'Sidebar',
								'name' => 'category_posts_sidebar',
								'type' => 'radio',
								'instructions' => 'Magazine Sidebar will use for this section',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'disable',
								'layout' => 'horizontal',
							),
							array (
							    'key' => 'field_categorysaira79',
							    'label' => 'Select Sidebar',
							    'name' => 'section_sidebar_source',
							    'type' => 'sidebar_selector',
							    'conditional_logic' => array (
							     'status' => 1,
							     'rules' => array (
							      array (
							       'field' => 'field_53cat10a11291',
							       'operator' => '==',
							       'value' => 'enable',
							      ),
							     ),
							     'allorany' => 'all',
							    ),
							    'allow_null' => 1,
							    'default_value' => 'magazine-sidebar',
							),

							array (
								'key' => 'field_53387b023dd0a',
								'label' => 'Section Title Position',
								'name' => 'category_section_title_position',
								'type' => 'radio',
								'instructions' => 'Choose this section title position, Default will be on Left',
								'column_width' => '',
								'choices' => array (
									'left_side' => 'Left Side',
									'right_side' => 'Right Side',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'left_side',
								'layout' => 'horizontal',
							),
						),
					),
					array (
						'label' => 'Latest By Format',
						'name' => 'latest_by_format',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532b5f231dffb',
								'label' => 'Main Title',
								'name' => 'format_main_title',

								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532b5f231dffd',
								'label' => 'Sub Title',
								'name' => 'format_subtitle',
								'type' => 'text',
								'instructions' => 'Enter this section sub title',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532b5f231dffc',
								'label' => 'Format',
								'name' => 'format_section_name',
								'type' => 'select',
								'instructions' => 'Select the format for this section',
								'column_width' => '',
								'choices' => array (
									'standard' => 'standard',
									'video' => 'Video',
									'audio' => 'audio',
									'gallery' => 'gallery',
								),
								'default_value' => '',
								'allow_null' => 0,
								'multiple' => 0,
							),
							array (
								'key' => 'field_532b5f231dffe',
								'label' => 'Posts Excerpt',
								'name' => 'format_posts_excerpt',
								'type' => 'radio',
								'instructions' => 'Choose to enable or disable the excerpt',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'enable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532b5f231dfff',
								'label' => 'Posts Layout',
								'name' => 'format_posts_layout',
								'type' => 'radio',
								'instructions' => 'Select this section posts layout',
								'column_width' => '',
								'choices' => array (
									'format_masonry' => 'Masonry',
									'format_mosaic' => 'Mosaic',
									'format_blocks_hover' => 'Blocks excerpt on mouse hover',
									'format_blocks_under_image' => 'Blocks excerpt under image',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'format_masonry',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_532b5f231e000',
								'label' => 'Number of Posts',
								'name' => 'format_number_of_posts',
								'type' => 'text',
								'instructions' => 'How many posts you want to show',
								'column_width' => '',
								'default_value' => 3,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_5345d4e872c09',
								'label' => 'Pagination',
								'name' => 'format_posts_pagination',
								'type' => 'radio',
								'instructions' => 'Enable or Disable the pagination',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'disable',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_53397be426f8d',
								'label' => 'Section Title Position',
								'name' => 'format_section_title_position',
								'type' => 'radio',
								'instructions' => 'Choose this section title position, Default will be on Left',
								'column_width' => '',
								'choices' => array (
									'left_side' => 'Left Side',
									'right_side' => 'Right Side',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'left_side',
								'layout' => 'horizontal',
							),
						),
					),
					array (
						'label' => 'Gallery Carousel',
						'name' => 'gallery_carousel',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532c9a2b10524',
								'label' => 'Gallery Title',
								'name' => 'gallery_section_title',
								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_533dc592f28ed',
								'label' => 'Gallery Categories',
								'name' => 'custom_gallery_categories',
								'type' => 'taxonomy',
								'instructions' => 'Select one or multiple gallery categories',
								'column_width' => '',
								'taxonomy' => 'gallery-categories',
								'field_type' => 'multi_select',
								'allow_null' => 0,
								'load_save_terms' => 1,
								'return_format' => 'id',
								'multiple' => 0,
							),
						),
					),
					array (
						'label' => 'Interview Carousel',
						'name' => 'Interview_carousel',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532ca3f83f12f',
								'label' => 'Main Title',
								'name' => 'Interview_section_title',
								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532ca3f83f131',
								'label' => 'Number of Posts',
								'name' => 'interview_number_of_posts',
								'type' => 'text',
								'instructions' => 'How many posts you want to show',
								'column_width' => '',
								'default_value' => 6,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'Featured Video',
						'name' => 'featured_video',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532cade2be25e',
								'label' => 'Main Title',
								'name' => 'video_section_title',
								'type' => 'text',
								'instructions' => 'Enter the main title for this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_532cb2ed685ca',
								'label' => 'Video',
								'name' => 'featured_video',
								'type' => 'post_object',
								'instructions' => 'Select video',
								'column_width' => '',
								'post_type' => array (
									0 => 'video',
								),
								'taxonomy' => array (
									0 => 'all',
								),
								'allow_null' => 0,
								'multiple' => 0,
							),
							array (
								'key' => 'field_533ddb4744a5c',
								'label' => 'More Videos',
								'name' => 'more_video_text',
								'type' => 'text',
								'instructions' => 'Enter more videos link text',
								'column_width' => '',
								'default_value' => 'More Videos',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_533ddb9b44a5d',
								'label' => 'Video Page Link',
								'name' => 'video_page_link',
								'type' => 'text',
								'instructions' => 'Enter video page link',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => 'http://www.example.com',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'Code Box',
						'name' => 'code_box',
						'display' => 'row',
						'sub_fields' => array (
							array (
								'key' => 'field_532cb271685c9',
								'label' => 'Source Code',
								'name' => 'code_box_source',
								'type' => 'textarea',
								'instructions' => 'Supports text, HTML tags, JS code and video embed code',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'maxlength' => '',
								'rows' => '',
								'formatting' => 'html',
							),
						),
					),
					array (
						'label' => 'Wysiwyg Editor',
						'name' => 'wysiwyg_editor_section',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_536f5b5f383b0',
								'label' => 'Section Title',
								'name' => 'wysiwyg_editor_title',
								'type' => 'text',
								'instructions' => 'Please enter title of this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_536f5872aa6f0',
								'label' => 'Wysiwyg Editor',
								'name' => 'unpress_wysiwyg_editor',
								'type' => 'wysiwyg',
								'instructions' => 'Support, shortcodes, content, html',
								'column_width' => '',
								'default_value' => '',
								'toolbar' => 'full',
								'media_upload' => 'yes',
							),
							array (
								'key' => 'field_5371162b6f355',
								'label' => 'Section Title Position',
								'name' => 'wysiwyg_title_postion',
								'type' => 'radio',
								'instructions' => 'Choose this section title position, Default will be on Left ',
								'column_width' => '',
								'choices' => array (
									'left_side' => 'Left Side',
									'right_side' => 'Right Side',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'left_side',
								'layout' => 'horizontal',
							),
							array (
								'key' => 'field_5371169f6f356',
								'label' => 'Enable/Disable Title Box',
								'name' => 'wysiwyg_disable_title_box',
								'type' => 'radio',
								'instructions' => 'Disable section title box to use full width section. Default: Enable',
								'column_width' => '',
								'choices' => array (
									'enable' => 'Enable',
									'disable' => 'Disable',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'enable',
								'layout' => 'horizontal',
							),
						),
					),
					/******************************************************************************************************************************
					
								Shop Sections
					
					********************************************************************************************************************************/
					
					array (
						'label' => 'WooCommerce Best Seller Products',
						'name' => 'best_seller_products',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_542ce4427d0a7',
								'label' => 'Title',
								'name' => 'best_seller_title',
								'type' => 'text',
								'instructions' => 'Please enter title of this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_542ce4867d0a8',
								'label' => 'Number of Products',
								'name' => 'number_of_products',
								'type' => 'text',
								'instructions' => 'Enter the number of products',
								'column_width' => '',
								'default_value' => 6,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'WooCommerce Featured Products',
						'name' => 'unpress_featured_products',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_542cea2e0ded5',
								'label' => 'Title',
								'name' => 'featured_product_title',
								'type' => 'text',
								'instructions' => 'Please enter title of this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_542cea2e0ded6',
								'label' => 'Number of Products',
								'name' => 'number_of_products',
								'type' => 'text',
								'instructions' => 'Enter the number of products',
								'column_width' => '',
								'default_value' => 6,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'WooCommerce Sale Products',
						'name' => 'unpress_sale_products',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_542ceab64f67b',
								'label' => 'Title',
								'name' => 'sale_product_title',
								'type' => 'text',
								'instructions' => 'Please enter title of this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_542ceab64f67c',
								'label' => 'Number of Products',
								'name' => 'number_of_products',
								'type' => 'text',
								'instructions' => 'Enter the number of products',
								'column_width' => '',
								'default_value' => 6,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'WooCommerce Latest Products',
						'name' => 'unpress_latest_products',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_542cead64f67e',
								'label' => 'Title',
								'name' => 'latest_product_title',
								'type' => 'text',
								'instructions' => 'Please enter title of this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_542cead64f67f',
								'label' => 'Number of Products',
								'name' => 'number_of_products',
								'type' => 'text',
								'instructions' => 'Enter the number of products',
								'column_width' => '',
								'default_value' => 6,
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'Products Editor',
						'name' => 'unpress_editor',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_542cec7773a13',
								'label' => 'Title',
								'name' => 'editor_title',
								'type' => 'text',
								'instructions' => 'Please enter title of this section',
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
							array (
								'key' => 'field_542cec7773a14',
								'label' => 'Editor',
								'name' => 'editor_content',
								'type' => 'wysiwyg',
								'column_width' => '',
								'default_value' => '',
								'toolbar' => 'full',
								'media_upload' => 'yes',
							),
						),
					),
				
					
					
				),
				'button_label' => 'Add Sections',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'page-composer.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'excerpt',
				2 => 'featured_image',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_page-options',
		'title' => 'Page Options',
		'fields' => array (
			array (
				'key' => 'field_532b510fab468',
				'label' => 'Page Sidebar',
				'name' => 'page_sidebar',
				'type' => 'radio',
				'instructions' => 'Enable or Disable sidebar on this page. Disable to use this page full width.',
				'choices' => array (
					'page_sidebar_on' => 'Enable',
					'page_sidebar_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'page_sidebar_off',
				'layout' => 'vertical',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_post-options',
		'title' => 'Post Options',
		'fields' => array (
			array (
				'key' => 'field_536cbf7470935',
				'label' => 'Post Sidebar',
				'name' => 'post_sidebar',
				'type' => 'radio',
				'instructions' => 'Enable/Disable post single page sidebar. Default: Disable',
				'choices' => array (
					'post_sidebar_on' => 'Enable',
					'post_sidebar_off' => 'Disable',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'post_sidebar_off',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_532b41a44f165',
				'label' => 'Homepage Slider',
				'name' => 'homepage_slider',
				'type' => 'true_false',
				'message' => 'Add this post to homepage slider',
				'default_value' => 0,
			),
			array (
				'key' => 'field_532b42246e18c',
				'label' => 'Category Slider',
				'name' => 'add_category_slider',
				'type' => 'true_false',
				'message' => 'Add this post to category slider',
				'default_value' => 0,
			),
			array (
				'key' => 'field_532b42406e18d',
				'label' => 'Make Featured',
				'name' => 'make_featured',
				'type' => 'true_false',
				'message' => 'Make this post featured',
				'default_value' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}


/* Add-Ons
 * USING PREMIUN ADD-ONS OUTSIDE THIS THEME IS NOT ALLOWED!!!
 */
function ft_register_fields(){
	include_once('add-ons/acf-gallery/gallery.php');
	include_once('add-ons/acf-repeater/repeater.php');
	include_once('add-ons/acf-flexible-content/flexible-content.php');
}
add_action('acf/register_fields', 'ft_register_fields'); 